<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eicd: eicd/TrackerPulseData.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eicd
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_e4e37cb967a0a8dac9982f75962b5bf7.html">eicd</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">TrackerPulseData.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_tracker_pulse_data_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">// AUTOMATICALLY GENERATED FILE - DO NOT EDIT</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;</div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="preprocessor">#ifndef EICD_TrackerPulseDATA_H</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="preprocessor">#define EICD_TrackerPulseDATA_H</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;</div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;</div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceeic.html">eic</a> {</div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;</div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;</div><div class="line"><a name="l00014"></a><span class="lineno"><a class="line" href="classeic_1_1_tracker_pulse_data.html">   14</a></span>&#160;<span class="keyword">class </span><a class="code" href="classeic_1_1_tracker_pulse_data.html">TrackerPulseData</a> {</div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00016"></a><span class="lineno"><a class="line" href="classeic_1_1_tracker_pulse_data.html#a8beeccd9853d2f7f25e1898c817b5d47">   16</a></span>&#160;  <span class="keywordtype">long</span> <span class="keywordtype">long</span> <a class="code" href="classeic_1_1_tracker_pulse_data.html#a8beeccd9853d2f7f25e1898c817b5d47">cellID0</a>; </div><div class="line"><a name="l00017"></a><span class="lineno"><a class="line" href="classeic_1_1_tracker_pulse_data.html#a614e9b5358d9079cfaa7b2f7f6937756">   17</a></span>&#160;  <span class="keywordtype">long</span> <span class="keywordtype">long</span> <a class="code" href="classeic_1_1_tracker_pulse_data.html#a614e9b5358d9079cfaa7b2f7f6937756">cellID1</a>; </div><div class="line"><a name="l00018"></a><span class="lineno"><a class="line" href="classeic_1_1_tracker_pulse_data.html#a0625b3989eb897d16bc05c02dc9ba674">   18</a></span>&#160;  <span class="keywordtype">int</span> <a class="code" href="classeic_1_1_tracker_pulse_data.html#a0625b3989eb897d16bc05c02dc9ba674">quality</a>; </div><div class="line"><a name="l00019"></a><span class="lineno"><a class="line" href="classeic_1_1_tracker_pulse_data.html#a607fd88f808b988ccc454cbb6c910feb">   19</a></span>&#160;  <span class="keywordtype">float</span> <a class="code" href="classeic_1_1_tracker_pulse_data.html#a607fd88f808b988ccc454cbb6c910feb">time</a>; </div><div class="line"><a name="l00020"></a><span class="lineno"><a class="line" href="classeic_1_1_tracker_pulse_data.html#ab93395de273f010183ce7ba355d84e4c">   20</a></span>&#160;  <span class="keywordtype">float</span> <a class="code" href="classeic_1_1_tracker_pulse_data.html#ab93395de273f010183ce7ba355d84e4c">charge</a>; </div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;};</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;} <span class="comment">// namespace eic</span></div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;</div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="preprocessor">#endif</span></div><div class="ttc" id="classeic_1_1_tracker_pulse_data_html_a607fd88f808b988ccc454cbb6c910feb"><div class="ttname"><a href="classeic_1_1_tracker_pulse_data.html#a607fd88f808b988ccc454cbb6c910feb">eic::TrackerPulseData::time</a></div><div class="ttdeci">float time</div><div class="ttdoc">The time of the pulse. </div><div class="ttdef"><b>Definition:</b> <a href="_tracker_pulse_data_8h_source.html#l00019">TrackerPulseData.h:19</a></div></div>
<div class="ttc" id="classeic_1_1_tracker_pulse_data_html_ab93395de273f010183ce7ba355d84e4c"><div class="ttname"><a href="classeic_1_1_tracker_pulse_data.html#ab93395de273f010183ce7ba355d84e4c">eic::TrackerPulseData::charge</a></div><div class="ttdeci">float charge</div><div class="ttdoc">The integrated charge of the pulse. </div><div class="ttdef"><b>Definition:</b> <a href="_tracker_pulse_data_8h_source.html#l00020">TrackerPulseData.h:20</a></div></div>
<div class="ttc" id="classeic_1_1_tracker_pulse_data_html"><div class="ttname"><a href="classeic_1_1_tracker_pulse_data.html">eic::TrackerPulseData</a></div><div class="ttdef"><b>Definition:</b> <a href="_tracker_pulse_data_8h_source.html#l00014">TrackerPulseData.h:14</a></div></div>
<div class="ttc" id="classeic_1_1_tracker_pulse_data_html_a8beeccd9853d2f7f25e1898c817b5d47"><div class="ttname"><a href="classeic_1_1_tracker_pulse_data.html#a8beeccd9853d2f7f25e1898c817b5d47">eic::TrackerPulseData::cellID0</a></div><div class="ttdeci">long long cellID0</div><div class="ttdoc">The detector specific (geometrical) cell id. </div><div class="ttdef"><b>Definition:</b> <a href="_tracker_pulse_data_8h_source.html#l00016">TrackerPulseData.h:16</a></div></div>
<div class="ttc" id="namespaceeic_html"><div class="ttname"><a href="namespaceeic.html">eic</a></div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_8cc_source.html#l00014">CalorimeterHit.cc:14</a></div></div>
<div class="ttc" id="classeic_1_1_tracker_pulse_data_html_a0625b3989eb897d16bc05c02dc9ba674"><div class="ttname"><a href="classeic_1_1_tracker_pulse_data.html#a0625b3989eb897d16bc05c02dc9ba674">eic::TrackerPulseData::quality</a></div><div class="ttdeci">int quality</div><div class="ttdoc">... </div><div class="ttdef"><b>Definition:</b> <a href="_tracker_pulse_data_8h_source.html#l00018">TrackerPulseData.h:18</a></div></div>
<div class="ttc" id="classeic_1_1_tracker_pulse_data_html_a614e9b5358d9079cfaa7b2f7f6937756"><div class="ttname"><a href="classeic_1_1_tracker_pulse_data.html#a614e9b5358d9079cfaa7b2f7f6937756">eic::TrackerPulseData::cellID1</a></div><div class="ttdeci">long long cellID1</div><div class="ttdoc">The second detector specific (geometrical) cell id. </div><div class="ttdef"><b>Definition:</b> <a href="_tracker_pulse_data_8h_source.html#l00017">TrackerPulseData.h:17</a></div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
